.form-group {
    margin-bottom: 20px;
}

.input-form,
.input-wrap {
    position: relative;
}

input[type="text"],
input[type="password"],
input[type="email"],
input[type="number"],
input[type=search],
textarea,
select {
    font-size: 15px;
    display: block;
    width: 100%;
    padding: 12px 20px;
    border-radius: 4px;
    border: solid 1px #d7d7d7;
    background: transparent;
    letter-spacing: 0.5px;
    color: #000000;
}

input[type="text"]:hover,
input[type="text"]:focus,
input[type="password"]:hover,
input[type="password"]:focus,
input[type="email"]:hover,
input[type="email"]:focus,
input[type="number"]:hover,
input[type="number"]:focus,
input[type=search]:hover,
input[type=search]:focus,
textarea:hover,
textarea:focus,
select:hover,
select:focus {
    outline: none;
    border: solid 1px #033240;
}

input[type="password"] {
    padding-right: 50px !important;
}

textarea {
    resize: vertical;
}

.custom-select {
    -webkit-appearance: none;
    background-image: url(../../images/sort-down.svg);
    background-size: 12px;
    background-repeat: no-repeat;
    padding: 14px 20px;
    background-position: calc(100% - 10px);
}

.password-visible {
    width:38px;
    height:38px;
    position: absolute;
    right: 5px;
    top: 6px;
    font-size: 18px;
    color: #757575;
    padding:10px 0;
    border-radius: 25px;
    cursor: pointer;
    text-align:center;
}

.password-visible:hover,
.password-visible:focus {
    background: #f1f1f1;
}

.from.datepicker {
    margin-bottom: 10px;
}

.datepicker-icon {
    position: absolute;
    top: 12px;
    right: 10px;
    font-size: 20px;
    color: #8e8e8e;
    z-index: -1;
}

input.datepicker {
    background: transparent !important;
}

input.disabled {
    background: #efefef !important;
}


/* floating-label */

.has-floating-label .floating-label {
    font-size: 15px;
    color: #757575;
    position: absolute;
    left: 15px;
    top: 17px;
    pointer-events: none;
    transform-origin: left top;
    -webkit-transform-origin: left top;
    -moz-transform-origin: left top;
    -ms-transform-origin: left top;
    transition: 240ms;
}

.has-floating-label.focused .floating-label {
    font-size: 14px;
    left: 15px;
    top: -7px;
}

/* Floating-label end */


/* For login  */

.form-wrapper input[type="text"],
.form-wrapper input[type="password"],
.form-wrapper input[type="email"] {
    padding:15px;
    border:none;
    border-radius:0;
    border-bottom:solid 2px #eaeaea;
}
.form-wrapper input[type="text"]:focus,
.form-wrapper input[type="password"]:focus,
.form-wrapper input[type="email"]:focus{
    border-bottom:solid 2px #2a304a;   
}
.form-wrapper .form-group {
    margin-bottom: 20px;
}

/* Checkbox */

.custom-check {
    display: inline-block;
}

.custom-radio {
    display: inline-block;
    padding: 0 40px 0 0;
    margin: 10px 0;
}

[type="checkbox"]:checked,
[type="checkbox"]:not(:checked),
[type="radio"]:checked,
[type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}

[type="checkbox"]:checked+label,
[type="checkbox"]:not(:checked)+label,
[type="radio"]:checked+label,
[type="radio"]:not(:checked)+label {
    position: relative;
    padding-left: 30px;
    cursor: pointer;
    display: inline-block;
    font-size: 14px;
    color: #a5a5a5;
    user-select: none;
    font-weight: 400;
    padding-top:2px;
    letter-spacing: 0.5px;
}

[type="checkbox"]:checked+label,
[type="radio"]:checked+label {
    color: #757575;
}



[type="radio"]:checked+label:before,
[type="radio"]:not(:checked)+label:before {
    border-radius: 50%;
    left: 0;
    background-color: #ddd;
}

[type="checkbox"]:checked+label:after,
[type="checkbox"]:not(:checked)+label:after,
[type="radio"]:checked+label:after,
[type="radio"]:not(:checked)+label:after {
    content: '';
    width: 18px;
    height: 18px;
    background-color: #2a304a;
    background-image: url('../../../images/tick.svg');
    margin-top: -2px;
    position: absolute;
    top: 4px;
    left: 0;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
    background-size: 10px;
    background-repeat: no-repeat;
    background-position: center center;
}

[type="radio"]:checked+label:after,
[type="radio"]:not(:checked)+label:after {
    border-radius: 50%;
    background-image: none;
    left: 0;
}

[type="checkbox"]:not(:checked)+label:after,
[type="radio"]:not(:checked)+label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
    -moz-transform: scale(0);
}

[type="checkbox"]:checked+label:after,
[type="radio"]:checked+label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
    -moz-transform: scale(1);
}


/*-- check box end --*/


/* error and success msg */

.has-error input[type="text"],
.has-error input[type="password"],
.has-error input[type="email"],
.has-error input[type="number"],
.has-error textarea,
.has-error select {
    border-bottom: solid 2px #ff0000;
    background: rgba(255, 0, 0, 0.03);
}

.has-error .floating-label {
    color: #ce3131;
}

.common-msg,
.common-msg-server {
    min-width: 400px;
    padding: 20px 55px 20px 20px;
    position: fixed;
    bottom: -60px;
    left: 50%;
    z-index: 999;
    background: #003f80;
    color: #fff;
    font-size: 14px;
    font-weight:400;
    line-height:1.3;
    text-align: center;
    visibility: hidden;
    opacity: 0;
    -webkit-border-radius: 4px 4px 0 0;
    -moz-border-radius: 4px 4px 0 0;
    -o-border-radius: 4px 4px 0 0;
    -ms-border-radius: 4px 4px 0 0;
    border-radius: 4px 4px 0 0;
    transform: translate(-50%);
    -webkit-transform: translate(-50%);
    -moz-transform: translate(-50%);
    -ms-transform: translate(-50%);
    transition: all 0.3s ease-in;
    -webkit-transition: all 0.3s ease-in;
    -moz-transition: all 0.3s ease-in;
    -ms-transition: all 0.3s ease-in;
}

.common-msg.show,
.common-msg-server.show {
    bottom:32px;
    visibility: visible;
    opacity: 1;
}

.common-msg.error,
.common-msg-server.error {
    background-color: #a94442;
}

.common-msg.success,
.common-msg-server.success {
    background-color: #3c763d;
}

.common-msg .close,
.common-msg-server .close {
    position: absolute;
    top: 20px;
    right: 15px;
    opacity: 0.5;
    cursor: pointer;
    transition: all 0.3s ease-in;
    -webkit-transition: all 0.3s ease-in;
    -moz-transition: all 0.3s ease-in;
    -ms-transition: all 0.3s ease-in;
}

.common-msg .close:hover,
.common-msg .close:focus,
.common-msg-server .close:hover,
.common-msg-server .close:focus {
    opacity: 1;
    transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    outline: none;
}

.common-msg .close img,
.common-msg-server .close img {
    width: 20px;
}


/* error and success msg */

.checkmark-circle {
    position: relative;
    margin: 0 auto;
    width: 100px;
    height: 100px;
}

.checkmark-circle .background {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: #ffffff;
    border: solid 2px #2EB150;
    position: absolute;
}

.checkmark-circle .checkmark {
    border-radius: 5px;
}

.checkmark-circle .checkmark.draw:after {
    animation: 2s;
    -webkit-animation-delay: 100ms;
    -moz-animation-delay: 100ms;
    animation-delay: 100ms;
    -webkit-animation-duration: 2s;
    -moz-animation-duration: 2s;
    animation-duration: 2s;
    -webkit-animation-timing-function: ease;
    -moz-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-name: checkmark;
    -moz-animation-name: checkmark;
    animation-name: checkmark;
    -webkit-transform: scaleX(-1) rotate(135deg);
    -moz-transform: scaleX(-1) rotate(135deg);
    -ms-transform: scaleX(-1) rotate(135deg);
    transform: scaleX(-1) rotate(135deg);
    -webkit-animation-fill-mode: forwards;
    -moz-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

.checkmark-circle .checkmark:after {
    -webkit-transform-origin: left top;
    -moz-transform-origin: left top;
    -ms-transform-origin: left top;
    -o-transform-origin: left top;
    transform-origin: left top;
    border-right: 3px solid #2EB150;
    border-top: 3px solid #2EB150;
    border-radius: 2.5px !important;
    content: '';
    left: 25px;
    top: 55px;
    position: absolute;
}

@-webkit-keyframes checkmark {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }
    20% {
        height: 0;
        width: 25px;
        opacity: 1;
    }
    40% {
        height: 55px;
        width: 25px;
        opacity: 1;
    }
    100% {
        height: 55px;
        width: 25px;
        opacity: 1;
    }
}

@-moz-keyframes checkmark {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }
    20% {
        height: 0;
        width: 25px;
        opacity: 1;
    }
    40% {
        height: 55px;
        width: 25px;
        opacity: 1;
    }
    100% {
        height: 55px;
        width: 25px;
        opacity: 1;
    }
}

@keyframes checkmark {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }
    20% {
        height: 0;
        width: 25px;
        opacity: 1;
    }
    40% {
        height: 55px;
        width: 25px;
        opacity: 1;
    }
    100% {
        height: 55px;
        width: 25px;
        opacity: 1;
    }
}


/* buttons */

.custom-btn {
    background: #F84996;
    color: #fff;
    border: solid 2px;
    font-size: 15px;
    font-weight: 400;
    padding: 9px 25px 9px;
    position: relative;
    text-align: center;
    line-height: 1.2;
    border-color: #F84996;
    display: inline-block;
    letter-spacing: 0.5px;
    cursor:pointer;
}

.custom-btn:focus,
.custom-btn:hover {
    color: #fff;
}

.custom-btn.transbg {
    background: #cbcbcb;
    color: #333333;
    border-color: #cbcbcb;
}

.custom-btn.transbg:focus,
.custom-btn.transbg:hover {
    color: #333333;
}

.custom-btn.transbg:before {
    border-color: #cbcbcb;
}

.custom-btn.cancel {
    background: #cbcbcb;
    border-color: #cbcbcb;
    margin-left: 10px;
}

.custom-btn.cancel:before {
    border-color: #cbcbcb;
}

.custom-btn.circle {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    padding: 0;
    min-width: auto;
}

.custom-btn.circle img {
    width: 20px;
    height: 100%;
    object-fit: contain;
    object-position: center center;
}

.custom-btn.small {
    padding: 6px 20px;
    min-width: 90px;
}


/* button hover */

.custom-btn:before {
    content: '';
    position: absolute;
    border: solid 2px;
    border-color: #5784f5;
    top: 2px;
    right: 2px;
    bottom: 2px;
    left: 2px;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
}

.custom-btn:hover:before,
.custom-btn:focus:before,
.custom-btn:active:before {
    top: -7px;
    right: -7px;
    bottom: -7px;
    left: -7px;
}
@media all and (max-width: 767px) {
    [type="checkbox"]:checked+label, [type="checkbox"]:not(:checked)+label, [type="radio"]:checked+label, [type="radio"]:not(:checked)+label{
        padding-left:25px;
        font-size:13px;
    }
}